From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/pius/
Date: Wed, 19 Jun 2024 09:42:58 +0000 (UTC) [thread overview]
Message-ID: <1718790129.a632ccef4a06219bebd8dc0000b1e75b4601a83a.pacho@gentoo> (raw)
commit: a632ccef4a06219bebd8dc0000b1e75b4601a83a
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 19 09:34:32 2024 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Jun 19 09:42:09 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a632ccef
app-crypt/pius: Support python 3.12 and port to PEP517
Closes: https://bugs.gentoo.org/909869
Closes: https://bugs.gentoo.org/922153
Closes: https://bugs.gentoo.org/929292
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
app-crypt/pius/pius-3.0.0-r2.ebuild | 33 +++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/app-crypt/pius/pius-3.0.0-r2.ebuild b/app-crypt/pius/pius-3.0.0-r2.ebuild
new file mode 100644
index 000000000000..184aaf851b53
--- /dev/null
+++ b/app-crypt/pius/pius-3.0.0-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool for signing and email all UIDs on a set of PGP keys"
+HOMEPAGE="https://www.phildev.net/pius/ https://github.com/jaymzh/pius"
+SRC_URI="https://github.com/jaymzh/pius/releases/download/v${PV}/pius-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND=">=app-crypt/gnupg-2.0.0"
+RDEPEND="${DEPEND}
+ dev-lang/perl"
+
+PATCHES=(
+ "${FILESDIR}/${P}-Fix-typos-132.patch"
+ "${FILESDIR}/${P}-pius-keyring-mgr-Fix-constants-134.patch"
+ "${FILESDIR}/${P}-Fix-typo-in-readme-135.patch"
+ "${FILESDIR}/${P}-Minor-fixes-for-pius-report-137.patch"
+)
+
+python_test() {
+ ${EPYTHON} -m unittest discover -s test/* -v || die
+}
next reply other threads:[~2024-06-19 9:43 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-19 9:42 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-01 21:14 [gentoo-commits] repo/gentoo:master commit in: app-crypt/pius/ Petr Vaněk
2024-09-01 21:14 Petr Vaněk
2024-09-01 21:14 Petr Vaněk
2024-09-01 2:39 Yixun Lan
2022-05-31 2:10 Sam James
2021-01-27 3:52 Sam James
2020-11-01 8:19 Joonas Niilola
2020-08-02 12:11 Michał Górny
2020-04-16 6:51 Joonas Niilola
2020-04-16 6:51 Joonas Niilola
2020-04-16 6:51 Joonas Niilola
2018-04-19 22:20 Alon Bar-Lev
2018-04-10 19:24 Alon Bar-Lev
2018-02-09 14:15 Thomas Deutschmann
2017-02-04 20:07 Alon Bar-Lev
2016-06-12 13:41 Alon Bar-Lev
2016-05-21 13:23 Pacho Ramos
2015-10-22 7:54 Alon Bar-Lev
2015-10-22 7:54 Alon Bar-Lev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1718790129.a632ccef4a06219bebd8dc0000b1e75b4601a83a.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox